React Native เพิ่งออกเวอร์ชันใหม่ 0.56 มานะครับ

React Native เพิ่งออกเวอร์ชันใหม่ 0.56 มานะครับ เปลี่ยนแปลงหลายอย่างพอสมควรหลังจากไม่ได้อัปเดตมาตั้งแต่เดือนมีนาคม

ใครที่กำลังจะทำโปรเจคใหม่ ก็ถือเป็นโอกาสอันดีครับที่จะใช้ตัวนี้ แต่ก็อย่าลืมอ่าน Changelog กันด้วยนะครับ คร่าวๆก็สรุปได้ตามนี้

.
1. อัปเกรดมาใช้ Babel เวอร์ชัน 7

.
2. ต้องใช้ Node.js อย่างต่ำเป็นเวอร์ชัน 8 ครับ

.
3. ปรับเวอร์ชันอย่างต่ำเป็น iOS 9

.
4. ต้องใช้ Xcode เวอร์ชัน 9 เป็นอย่างต่ำ แนะนำเป็น Xcode 9.4 ขึ้นไป

.
5. สำหรับ Android ต้อง complied โดยใช้ Android 26 SDK ขึ้นไป (เดือนสิงหาคมนี้ ทุก app ที่ build เป็น Android ต้องใช้ Android 26 SDK แล้วนะ)

.
6. ถ้าใช้งาน WebView จะโหลดได้เฉพาะ URLs ที่เป็น https และ geolocation จะถูก disabled มาเลย (default)

.
7. เราสามารถใช้งานเครื่องหมาย ? (optional chaining operator) ได้แล้ว แน่นอนทำให้เราสามารถเขียนป้องกัน error ที่เกิดจาก property ที่มีค่าเป็น undefined หรือ null ได้ ยกตัวอย่างเช่น

let user = { name: ‘CodingThailand’ }
let age = user?.age //จะเห็นว่า user ไม่มี property ชื่อว่า age ปกติแล้วจะมี error ขึ้นมา แต่ถ้าเราใส่เครื่องหมาย ? ก็จะไม่มี error เกิดขึ้นนะครับ ลองเอาไปใช้ดู จะได้ไม่ต้องเขียนโค้ดเช็ค error ให้วุ่นวาย

.
8. รองรับการใช้งาน flexWrap: ‘wrap-reverse’ ใครใช้ flexbox อยู่น่าจะใช้เป็นนะ 

.
อื่นๆก็จะเป็นการ Fixed bugs ต่างๆ อ่านเพิ่มเติมได้ที่นี่ครับ http://bit.ly/2Ka0z9v

ใส่ความเห็น

อีเมลของคุณจะไม่แสดงให้คนอื่นเห็น ช่องที่ต้องการถูกทำเครื่องหมาย *

This site uses Akismet to reduce spam. Learn how your comment data is processed.